Page MenuHomePhabricator

[beginner] [recurring] Get onto Internet Relay Chat (IRC) and stay for a while
Open, NormalPublic

Description

This is a placeholder task for the list of potential tasks when applying as an organization for Google Code-in.

Wikimedia development, like many free software collaboration efforts, [relies a lot on IRC](https://www.mediawiki.org/wiki/Special:MyLanguage/Communication) for discussion.

If you have not been on Wikimedia IRC channels yet, you can claim this task. You have to:

1. install an [IRC client](https://en.wikipedia.org/wiki/Comparison_of_Internet_Relay_Chat_clients) you like, but **not** IRC clients listed as "web" or [proprietary](https://en.wikipedia.org/wiki/Proprietary_software) (Examples: irssi, HexChat and KVIrc are good. mIRC, webchat.freenode.net, AndroIRC are not okay.)
2. connect to the "Freenode" network and [register your nickname](https://freenode.net/kb/answer/registration). Registration will not be complete until you send to nickserv the verification code that you received by email.
3. join the channel/room called `#wikimedia-dev` ([instructions](https://meta.wikimedia.org/wiki/IRC/Instructions)).
4. double-check that you are on `#wikimedia-dev`.
5. say hello on the channel, but never put personal info on IRC: Stick with your first name or username but not your full name, no phone numbers, no home addresses, etc.! Please mention that you are on IRC for GCI. The channel is public; it is a place for general discussion of Wikimedia development and not only for Google Code-in, so some people might not know what GCI is.
6. stay at least one hour before leaving.

When you have completed all (!) steps above, submit this task for review and tell us the nickname you used on IRC.

OPTIONAL: Follow conversations and updates on the channel: there might be situations to help someone else or be helped or click a link posted. You can also join [other IRC channels](https://meta.wikimedia.org/wiki/IRC/Channels) in your native language.

OPTIONAL: You may also subscribe to one of our [technical mailing lists](https://meta.wikimedia.org/wiki/Mailing_lists/Overview#General_development_and_technical_discussion) where non-realtime discussion happens.

Task tags: synchronous communication; irc; personal interaction; help; community

Event Timeline

I'm in for mentoring this task again. :)

Aklapper updated the task description. (Show Details)Nov 20 2017, 12:46 PM
Aklapper moved this task from Proposed tasks to Imported in GCI Site on the Google-Code-in-2017 board.
Aklapper updated the task description. (Show Details)
Krinkle triaged this task as High priority.Nov 29 2017, 2:49 AM

If possible can I co-mentor this task?. I could see few students working in my time zone.

@Sanjay311999: Of course, thanks! Added you.

Aklapper updated the task description. (Show Details)Nov 29 2017, 10:00 AM
Aklapper closed this task as Declined.Jan 17 2018, 6:42 PM

Closing this task as it was a placeholder in Phab for Google-Code-in-2017 which is ending these days (no more new tasks can be claimed from now on in GCI 2017).

Zppix reopened this task as Open.Sep 17 2018, 2:39 PM
Zppix added a project: Google-Code-in-2018.
Zppix added a subscriber: Zppix.

Reopening and adding to Google-Code-in-2018 as we can reuse this task again for the upcoming GCI (if we get in). I am willing to mentor.

Zppix lowered the priority of this task from High to Normal.Sep 17 2018, 2:39 PM
Aklapper renamed this task from [beginner] [recurring] Get onto Internet Relay Chat (IRC) to [beginner] [recurring] Get onto Internet Relay Chat (IRC) and stay for a while.Sep 20 2018, 8:55 AM
D3r1ck01 added a subscriber: D3r1ck01.EditedSep 20 2018, 8:22 PM

Will give a helping hand in mentoring this as well :)

Imported as: https://codein.withgoogle.com/tasks/6073639662256128/ for Google-Code-in-2018.

Aklapper updated the task description. (Show Details)Oct 13 2018, 9:31 PM
Aklapper updated the task description. (Show Details)Oct 24 2018, 10:42 PM
Aklapper closed this task as Declined.Jan 14 2019, 8:25 PM

Closing this task as it was a placeholder in Phab for Google-Code-in-2018 which has ended.

Urbanecm reopened this task as Open.Oct 11 2019, 5:19 PM
Urbanecm added a project: Google-Code-in-2019.